//
//  PredefinedColorSeeker.swift
//  ColorSenseRainbow
//
//  Created by Reid Gravelle on 2015-04-19.
//  Copyright (c) 2015 Northern Realities Inc. All rights reserved.
//

import AppKit

class PredefinedColorSeeker : Seeker {
    
    let colorDictionary : [ String : NSColor ] = [
        "black" : NSColor.blackColor(),
        "white" : NSColor.whiteColor(),
        "blue" : NSColor.blueColor(),
        "gray" : NSColor.grayColor(),
        "magenta" : NSColor.magentaColor(),
        "clear" : NSColor.clearColor(),
        "brown" : NSColor.brownColor(),
        "cyan" : NSColor.cyanColor(),
        "darkGray" : NSColor.darkGrayColor(),
        "green" : NSColor.greenColor(),
        "lightGray" : NSColor.lightGrayColor(),
        "orange" : NSColor.orangeColor(),
        "purple" : NSColor.purpleColor(),
        "red" : NSColor.redColor(),
        "yellow" : NSColor.yellowColor(),
        "acidGreen" : NSColor.acidGreenColor(alpha: 1.0 ),
        "aero" : NSColor.aeroColor(),
        "aeroBlue" : NSColor.aeroBlueColor(),
        "africanViolet" : NSColor.africanVioletColor(),
        "airForceBlueRAF" : NSColor.airForceBlueRAFColor(),
        "airForceBlueUSAF" : NSColor.airForceBlueUSAFColor(),
        "airSuperiorityBlue" : NSColor.airSuperiorityBlueColor(),
        "alabamaCrimson" : NSColor.alabamaCrimsonColor(),
        "aliceBlue" : NSColor.aliceBlueColor(),
        "alizarinCrimson" : NSColor.alizarinCrimsonColor(),
        "alloyOrange" : NSColor.alloyOrangeColor(),
        "almondCrayola" : NSColor.almondCrayolaColor(),
        "amaranth" : NSColor.amaranthColor(),
        "amaranthDeepPurple" : NSColor.amaranthDeepPurpleColor(),
        "amaranthPink" : NSColor.amaranthPinkColor(),
        "amaranthPurple" : NSColor.amaranthPurpleColor(),
        "amaranthRed" : NSColor.amaranthRedColor(),
        "amazon" : NSColor.amazonColor(),
        "amber" : NSColor.amberColor(),
        "amberSAEECE" : NSColor.amberSAEECEColor(),
        "amber100" : NSColor.amber100Color(),
        "amber200" : NSColor.amber200Color(),
        "amber300" : NSColor.amber300Color(),
        "amber400" : NSColor.amber400Color(),
        "amber50" : NSColor.amber50Color(),
        "amber500" : NSColor.amber500Color(),
        "amber600" : NSColor.amber600Color(),
        "amber700" : NSColor.amber700Color(),
        "amber800" : NSColor.amber800Color(),
        "amber900" : NSColor.amber900Color(),
        "amberA100" : NSColor.amberA100Color(),
        "amberA200" : NSColor.amberA200Color(),
        "amberA400" : NSColor.amberA400Color(),
        "amberA700" : NSColor.amberA700Color(),
        "americanRose" : NSColor.americanRoseColor(),
        "amethyst" : NSColor.amethystColor(),
        "androidGreen" : NSColor.androidGreenColor(),
        "antiFlashWhite" : NSColor.antiFlashWhiteColor(),
        "antiqueBrassCrayola" : NSColor.antiqueBrassCrayolaColor(),
        "antiqueBronze" : NSColor.antiqueBronzeColor(),
        "antiqueFuchsia" : NSColor.antiqueFuchsiaColor(),
        "antiqueRuby" : NSColor.antiqueRubyColor(),
        "antiqueWhite" : NSColor.antiqueWhiteColor(),
        "aoEnglish" : NSColor.aoEnglishColor(),
        "appleGreen" : NSColor.appleGreenColor(),
        "apricot" : NSColor.apricotColor(),
        "apricotCrayola" : NSColor.apricotCrayolaColor(),
        "aqua" : NSColor.aquaColor(),
        "aquamarine" : NSColor.aquamarineColor(),
        "aquamarineCrayola" : NSColor.aquamarineCrayolaColor(),
        "arcticLime" : NSColor.arcticLimeColor(),
        "armyGreen" : NSColor.armyGreenColor(),
        "arsenic" : NSColor.arsenicColor(),
        "artichoke" : NSColor.artichokeColor(),
        "arylideYellow" : NSColor.arylideYellowColor(),
        "ashGrey" : NSColor.ashGreyColor(),
        "asparagusCrayola" : NSColor.asparagusCrayolaColor(),
        "atomicTangerineCrayola" : NSColor.atomicTangerineCrayolaColor(),
        "atomicTangerine" : NSColor.atomicTangerineColor(),
        "auburn" : NSColor.auburnColor(),
        "aureolin" : NSColor.aureolinColor(),
        "auroMetalSaurus" : NSColor.auroMetalSaurusColor(),
        "avocado" : NSColor.avocadoColor(),
        "azure" : NSColor.azureColor(),
        "azureWeb" : NSColor.azureWebColor(),
        "azureMist" : NSColor.azureMistColor(),
        "azureishWhite" : NSColor.azureishWhiteColor(),
        "bdazzledBlue" : NSColor.bdazzledBlueColor(),
        "babyBlue" : NSColor.babyBlueColor(),
        "babyBlueEyes" : NSColor.babyBlueEyesColor(),
        "babyPink" : NSColor.babyPinkColor(),
        "babyPowder" : NSColor.babyPowderColor(),
        "bakerMillerPink" : NSColor.bakerMillerPinkColor(),
        "ballBlue" : NSColor.ballBlueColor(),
        "bananaManiaCrayola" : NSColor.bananaManiaCrayolaColor(),
        "bananaYellow" : NSColor.bananaYellowColor(),
        "bangladeshGreen" : NSColor.bangladeshGreenColor(),
        "barbiePink" : NSColor.barbiePinkColor(),
        "barnRed" : NSColor.barnRedColor(),
        "battleshipGrey" : NSColor.battleshipGreyColor(),
        "bazaar" : NSColor.bazaarColor(),
        "beauBlue" : NSColor.beauBlueColor(),
        "beaverCrayola" : NSColor.beaverCrayolaColor(),
        "beige" : NSColor.beigeColor(),
        "bigDipOruby" : NSColor.bigDipOrubyColor(),
        "bisque" : NSColor.bisqueColor(),
        "bistre" : NSColor.bistreColor(),
        "bistreBrown" : NSColor.bistreBrownColor(),
        "bitterLemon" : NSColor.bitterLemonColor(),
        "bitterLime" : NSColor.bitterLimeColor(),
        "bittersweet" : NSColor.bittersweetColor(),
        "bittersweetCrayola" : NSColor.bittersweetCrayolaColor(),
        "bittersweetShimmer" : NSColor.bittersweetShimmerColor(),
        "blackBean" : NSColor.blackBeanColor(),
        "blackLeatherJacket" : NSColor.blackLeatherJacketColor(),
        "blackOlive" : NSColor.blackOliveColor(),
        "blanchedAlmond" : NSColor.blanchedAlmondColor(),
        "blastOffBronze" : NSColor.blastOffBronzeColor(),
        "bleuDeFrance" : NSColor.bleuDeFranceColor(),
        "blizzardBlueCrayola" : NSColor.blizzardBlueCrayolaColor(),
        "blond" : NSColor.blondColor(),
        "blueCrayola" : NSColor.blueCrayolaColor(),
        "blueMunsell" : NSColor.blueMunsellColor(),
        "blueNCS" : NSColor.blueNCSColor(),
        "bluePantone" : NSColor.bluePantoneColor(),
        "bluePigment" : NSColor.bluePigmentColor(),
        "blueRYB" : NSColor.blueRYBColor(),
        "blue100" : NSColor.blue100Color(),
        "blue200" : NSColor.blue200Color(),
        "blue300" : NSColor.blue300Color(),
        "blue400" : NSColor.blue400Color(),
        "blue50" : NSColor.blue50Color(),
        "blue500" : NSColor.blue500Color(),
        "blue600" : NSColor.blue600Color(),
        "blue700" : NSColor.blue700Color(),
        "blue800" : NSColor.blue800Color(),
        "blue900" : NSColor.blue900Color(),
        "blueA100" : NSColor.blueA100Color(),
        "blueA200" : NSColor.blueA200Color(),
        "blueA400" : NSColor.blueA400Color(),
        "blueA700" : NSColor.blueA700Color(),
        "blueBellCrayola" : NSColor.blueBellCrayolaColor(),
        "blueGreenCrayola" : NSColor.blueGreenCrayolaColor(),
        "blueGrey100" : NSColor.blueGrey100Color(),
        "blueGrey200" : NSColor.blueGrey200Color(),
        "blueGrey300" : NSColor.blueGrey300Color(),
        "blueGrey400" : NSColor.blueGrey400Color(),
        "blueGrey50" : NSColor.blueGrey50Color(),
        "blueGrey500" : NSColor.blueGrey500Color(),
        "blueGrey600" : NSColor.blueGrey600Color(),
        "blueGrey700" : NSColor.blueGrey700Color(),
        "blueGrey800" : NSColor.blueGrey800Color(),
        "blueGrey900" : NSColor.blueGrey900Color(),
        "blueLagoon" : NSColor.blueLagoonColor(),
        "blueVioletCrayola" : NSColor.blueVioletCrayolaColor(),
        "blueSapphire" : NSColor.blueSapphireColor(),
        "blueYonder" : NSColor.blueYonderColor(),
        "blueGray" : NSColor.blueGrayColor(),
        "blueMagentaViolet" : NSColor.blueMagentaVioletColor(),
        "blueViolet" : NSColor.blueVioletColor(),
        "blueberry" : NSColor.blueberryColor(),
        "bluebonnet" : NSColor.bluebonnetColor(),
        "blushCrayola" : NSColor.blushCrayolaColor(),
        "bole" : NSColor.boleColor(),
        "bondiBlue" : NSColor.bondiBlueColor(),
        "bone" : NSColor.boneColor(),
        "bostonUniversityRed" : NSColor.bostonUniversityRedColor(),
        "bottleGreen" : NSColor.bottleGreenColor(),
        "boysenberry" : NSColor.boysenberryColor(),
        "brandeisBlue" : NSColor.brandeisBlueColor(),
        "brass" : NSColor.brassColor(),
        "brickRedCrayola" : NSColor.brickRedCrayolaColor(),
        "brightCerulean" : NSColor.brightCeruleanColor(),
        "brightGreen" : NSColor.brightGreenColor(),
        "brightLavender" : NSColor.brightLavenderColor(),
        "brightLilac" : NSColor.brightLilacColor(),
        "brightMaroon" : NSColor.brightMaroonColor(),
        "brightNavyBlue" : NSColor.brightNavyBlueColor(),
        "brightPink" : NSColor.brightPinkColor(),
        "brightTurquoise" : NSColor.brightTurquoiseColor(),
        "brightUbe" : NSColor.brightUbeColor(),
        "brilliantRoseCrayola" : NSColor.brilliantRoseCrayolaColor(),
        "brilliantAzure" : NSColor.brilliantAzureColor(),
        "brilliantLavender" : NSColor.brilliantLavenderColor(),
        "brilliantRose" : NSColor.brilliantRoseColor(),
        "brinkPink" : NSColor.brinkPinkColor(),
        "britishRacingGreen" : NSColor.britishRacingGreenColor(),
        "bronze" : NSColor.bronzeColor(),
        "bronzeYellow" : NSColor.bronzeYellowColor(),
        "brownCrayola" : NSColor.brownCrayolaColor(),
        "brownTraditional" : NSColor.brownTraditionalColor(),
        "brownWeb" : NSColor.brownWebColor(),
        "brown100" : NSColor.brown100Color(),
        "brown200" : NSColor.brown200Color(),
        "brown300" : NSColor.brown300Color(),
        "brown400" : NSColor.brown400Color(),
        "brown50" : NSColor.brown50Color(),
        "brown500" : NSColor.brown500Color(),
        "brown600" : NSColor.brown600Color(),
        "brown700" : NSColor.brown700Color(),
        "brown800" : NSColor.brown800Color(),
        "brown900" : NSColor.brown900Color(),
        "brownYellow" : NSColor.brownYellowColor(),
        "brownNose" : NSColor.brownNoseColor(),
        "brunswickGreen" : NSColor.brunswickGreenColor(),
        "bubbleGum" : NSColor.bubbleGumColor(),
        "bubbles" : NSColor.bubblesColor(),
        "budGreen" : NSColor.budGreenColor(),
        "buff" : NSColor.buffColor(),
        "bulgarianRose" : NSColor.bulgarianRoseColor(),
        "burgundy" : NSColor.burgundyColor(),
        "burlywood" : NSColor.burlywoodColor(),
        "burntOrangeCrayola" : NSColor.burntOrangeCrayolaColor(),
        "burntSiennaCrayola" : NSColor.burntSiennaCrayolaColor(),
        "burntOrange" : NSColor.burntOrangeColor(),
        "burntSienna" : NSColor.burntSiennaColor(),
        "burntUmber" : NSColor.burntUmberColor(),
        "byzantine" : NSColor.byzantineColor(),
        "byzantium" : NSColor.byzantiumColor(),
        "cGBlue" : NSColor.cGBlueColor(),
        "cGRed" : NSColor.cGRedColor(),
        "cadet" : NSColor.cadetColor(),
        "cadetBlueCrayola" : NSColor.cadetBlueCrayolaColor(),
        "cadetBlue" : NSColor.cadetBlueColor(),
        "cadetGrey" : NSColor.cadetGreyColor(),
        "cadmiumGreen" : NSColor.cadmiumGreenColor(),
        "cadmiumOrange" : NSColor.cadmiumOrangeColor(),
        "cadmiumRed" : NSColor.cadmiumRedColor(),
        "cadmiumYellow" : NSColor.cadmiumYellowColor(),
        "caféAuLait" : NSColor.caféAuLaitColor(),
        "caféNoir" : NSColor.caféNoirColor(),
        "calPolyGreen" : NSColor.calPolyGreenColor(),
        "cambridgeBlue" : NSColor.cambridgeBlueColor(),
        "camel" : NSColor.camelColor(),
        "cameoPink" : NSColor.cameoPinkColor(),
        "camouflageGreen" : NSColor.camouflageGreenColor(),
        "canaryCrayola" : NSColor.canaryCrayolaColor(),
        "canaryYellow" : NSColor.canaryYellowColor(),
        "candyAppleRed" : NSColor.candyAppleRedColor(),
        "candyPink" : NSColor.candyPinkColor(),
        "capri" : NSColor.capriColor(),
        "caputMortuum" : NSColor.caputMortuumColor(),
        "cardinal" : NSColor.cardinalColor(),
        "caribbeanGreenCrayola" : NSColor.caribbeanGreenCrayolaColor(),
        "carmine" : NSColor.carmineColor(),
        "carmineMandP" : NSColor.carmineMandPColor(),
        "carminePink" : NSColor.carminePinkColor(),
        "carmineRed" : NSColor.carmineRedColor(),
        "carnationPinkCrayola" : NSColor.carnationPinkCrayolaColor(),
        "carnationPink" : NSColor.carnationPinkColor(),
        "carnelian" : NSColor.carnelianColor(),
        "carolinaBlue" : NSColor.carolinaBlueColor(),
        "carrotOrange" : NSColor.carrotOrangeColor(),
        "castletonGreen" : NSColor.castletonGreenColor(),
        "catalinaBlue" : NSColor.catalinaBlueColor(),
        "catawba" : NSColor.catawbaColor(),
        "cedarChest" : NSColor.cedarChestColor(),
        "ceil" : NSColor.ceilColor(),
        "celadon" : NSColor.celadonColor(),
        "celadonBlue" : NSColor.celadonBlueColor(),
        "celadonGreen" : NSColor.celadonGreenColor(),
        "celeste" : NSColor.celesteColor(),
        "celesteOpaco" : NSColor.celesteOpacoColor(),
        "celestePallido" : NSColor.celestePallidoColor(),
        "celestePolvere" : NSColor.celestePolvereColor(),
        "celesteVelato" : NSColor.celesteVelatoColor(),
        "celestialBlue" : NSColor.celestialBlueColor(),
        "cerise" : NSColor.ceriseColor(),
        "ceriseCrayola" : NSColor.ceriseCrayolaColor(),
        "cerisePink" : NSColor.cerisePinkColor(),
        "cerulean" : NSColor.ceruleanColor(),
        "ceruleanCrayola" : NSColor.ceruleanCrayolaColor(),
        "ceruleanBlue" : NSColor.ceruleanBlueColor(),
        "ceruleanFrost" : NSColor.ceruleanFrostColor(),
        "chamoisee" : NSColor.chamoiseeColor(),
        "champagne" : NSColor.champagneColor(),
        "charcoal" : NSColor.charcoalColor(),
        "charlestonGreen" : NSColor.charlestonGreenColor(),
        "charmPink" : NSColor.charmPinkColor(),
        "chartreuseTraditional" : NSColor.chartreuseTraditionalColor(),
        "chartreuseWeb" : NSColor.chartreuseWebColor(),
        "cherry" : NSColor.cherryColor(),
        "cherryBlossomPink" : NSColor.cherryBlossomPinkColor(),
        "chestnut" : NSColor.chestnutColor(),
        "chestnutCrayola" : NSColor.chestnutCrayolaColor(),
        "chinaPink" : NSColor.chinaPinkColor(),
        "chinaRose" : NSColor.chinaRoseColor(),
        "chineseRed" : NSColor.chineseRedColor(),
        "chineseViolet" : NSColor.chineseVioletColor(),
        "chocolateTraditional" : NSColor.chocolateTraditionalColor(),
        "chocolateWeb" : NSColor.chocolateWebColor(),
        "chromeYellow" : NSColor.chromeYellowColor(),
        "cinereous" : NSColor.cinereousColor(),
        "cinnabar" : NSColor.cinnabarColor(),
        "cinnamon" : NSColor.cinnamonColor(),
        "citrine" : NSColor.citrineColor(),
        "citron" : NSColor.citronColor(),
        "claret" : NSColor.claretColor(),
        "classicRose" : NSColor.classicRoseColor(),
        "cobaltBlue" : NSColor.cobaltBlueColor(),
        "cocoaBrown" : NSColor.cocoaBrownColor(),
        "coconut" : NSColor.coconutColor(),
        "coffee" : NSColor.coffeeColor(),
        "columbiaBlue" : NSColor.columbiaBlueColor(),
        "congoPink" : NSColor.congoPinkColor(),
        "coolBlack" : NSColor.coolBlackColor(),
        "coolGrey" : NSColor.coolGreyColor(),
        "copper" : NSColor.copperColor(),
        "copperCrayolaAlternate" : NSColor.copperCrayolaAlternateColor(),
        "copperCrayola" : NSColor.copperCrayolaColor(),
        "copperPenny" : NSColor.copperPennyColor(),
        "copperRed" : NSColor.copperRedColor(),
        "copperRose" : NSColor.copperRoseColor(),
        "coquelicot" : NSColor.coquelicotColor(),
        "coral" : NSColor.coralColor(),
        "coralPink" : NSColor.coralPinkColor(),
        "coralRed" : NSColor.coralRedColor(),
        "cordovan" : NSColor.cordovanColor(),
        "corn" : NSColor.cornColor(),
        "cornellRed" : NSColor.cornellRedColor(),
        "cornflowerBlueCrayola" : NSColor.cornflowerBlueCrayolaColor(),
        "cornflowerBlue" : NSColor.cornflowerBlueColor(),
        "cornsilk" : NSColor.cornsilkColor(),
        "cosmicLatte" : NSColor.cosmicLatteColor(),
        "cottonCandyCrayola" : NSColor.cottonCandyCrayolaColor(),
        "coyoteBrown" : NSColor.coyoteBrownColor(),
        "cream" : NSColor.creamColor(),
        "crimson" : NSColor.crimsonColor(),
        "crimsonGlory" : NSColor.crimsonGloryColor(),
        "crimsonRed" : NSColor.crimsonRedColor(),
        "cyanProcess" : NSColor.cyanProcessColor(),
        "cyan100" : NSColor.cyan100Color(),
        "cyan200" : NSColor.cyan200Color(),
        "cyan300" : NSColor.cyan300Color(),
        "cyan400" : NSColor.cyan400Color(),
        "cyan50" : NSColor.cyan50Color(),
        "cyan500" : NSColor.cyan500Color(),
        "cyan600" : NSColor.cyan600Color(),
        "cyan700" : NSColor.cyan700Color(),
        "cyan800" : NSColor.cyan800Color(),
        "cyan900" : NSColor.cyan900Color(),
        "cyanA100" : NSColor.cyanA100Color(),
        "cyanA200" : NSColor.cyanA200Color(),
        "cyanA400" : NSColor.cyanA400Color(),
        "cyanA700" : NSColor.cyanA700Color(),
        "cyanAzure" : NSColor.cyanAzureColor(),
        "cyanCobaltBlue" : NSColor.cyanCobaltBlueColor(),
        "cyanCornflowerBlue" : NSColor.cyanCornflowerBlueColor(),
        "cyanBlueAzure" : NSColor.cyanBlueAzureColor(),
        "cyberGrape" : NSColor.cyberGrapeColor(),
        "cyberYellow" : NSColor.cyberYellowColor(),
        "daffodil" : NSColor.daffodilColor(),
        "dandelion" : NSColor.dandelionColor(),
        "dandelionCrayola" : NSColor.dandelionCrayolaColor(),
        "darkBlue" : NSColor.darkBlueColor(),
        "darkBlueGray" : NSColor.darkBlueGrayColor(),
        "darkBrown" : NSColor.darkBrownColor(),
        "darkBrownTangelo" : NSColor.darkBrownTangeloColor(),
        "darkByzantium" : NSColor.darkByzantiumColor(),
        "darkCandyAppleRed" : NSColor.darkCandyAppleRedColor(),
        "darkCerulean" : NSColor.darkCeruleanColor(),
        "darkChestnut" : NSColor.darkChestnutColor(),
        "darkCoral" : NSColor.darkCoralColor(),
        "darkCyan" : NSColor.darkCyanColor(),
        "darkElectricBlue" : NSColor.darkElectricBlueColor(),
        "darkGoldenrod" : NSColor.darkGoldenrodColor(),
        "darkGrayX11" : NSColor.darkGrayX11Color(),
        "darkGreen" : NSColor.darkGreenColor(),
        "darkGreenX11" : NSColor.darkGreenX11Color(),
        "darkGunmetal" : NSColor.darkGunmetalColor(),
        "darkImperialBlue1" : NSColor.darkImperialBlue1Color(),
        "darkImperialBlue2" : NSColor.darkImperialBlue2Color(),
        "darkJungleGreen" : NSColor.darkJungleGreenColor(),
        "darkKhaki" : NSColor.darkKhakiColor(),
        "darkLava" : NSColor.darkLavaColor(),
        "darkLavender" : NSColor.darkLavenderColor(),
        "darkLiver" : NSColor.darkLiverColor(),
        "darkLiverHorses" : NSColor.darkLiverHorsesColor(),
        "darkMagenta" : NSColor.darkMagentaColor(),
        "darkMediumGray" : NSColor.darkMediumGrayColor(),
        "darkMidnightBlue" : NSColor.darkMidnightBlueColor(),
        "darkMossGreen" : NSColor.darkMossGreenColor(),
        "darkOliveGreen" : NSColor.darkOliveGreenColor(),
        "darkOrange" : NSColor.darkOrangeColor(),
        "darkOrchid" : NSColor.darkOrchidColor(),
        "darkPastelBlue" : NSColor.darkPastelBlueColor(),
        "darkPastelGreen" : NSColor.darkPastelGreenColor(),
        "darkPastelPurple" : NSColor.darkPastelPurpleColor(),
        "darkPastelRed" : NSColor.darkPastelRedColor(),
        "darkPink" : NSColor.darkPinkColor(),
        "darkPowderBlue" : NSColor.darkPowderBlueColor(),
        "darkPuce" : NSColor.darkPuceColor(),
        "darkPurple" : NSColor.darkPurpleColor(),
        "darkRaspberry" : NSColor.darkRaspberryColor(),
        "darkRed" : NSColor.darkRedColor(),
        "darkSalmon" : NSColor.darkSalmonColor(),
        "darkScarlet" : NSColor.darkScarletColor(),
        "darkSeaGreen" : NSColor.darkSeaGreenColor(),
        "darkSienna" : NSColor.darkSiennaColor(),
        "darkSkyBlue" : NSColor.darkSkyBlueColor(),
        "darkSlateBlue" : NSColor.darkSlateBlueColor(),
        "darkSlateGray" : NSColor.darkSlateGrayColor(),
        "darkSpringGreen" : NSColor.darkSpringGreenColor(),
        "darkTan" : NSColor.darkTanColor(),
        "darkTangerine" : NSColor.darkTangerineColor(),
        "darkTaupe" : NSColor.darkTaupeColor(),
        "darkTerraCotta" : NSColor.darkTerraCottaColor(),
        "darkTurquoise" : NSColor.darkTurquoiseColor(),
        "darkVanilla" : NSColor.darkVanillaColor(),
        "darkViolet" : NSColor.darkVioletColor(),
        "darkYellow" : NSColor.darkYellowColor(),
        "dartmouthGreen" : NSColor.dartmouthGreenColor(),
        "davysGrey" : NSColor.davysGreyColor(),
        "debianRed" : NSColor.debianRedColor(),
        "deepGreen" : NSColor.deepGreenColor(),
        "deepOrange100" : NSColor.deepOrange100Color(),
        "deepOrange200" : NSColor.deepOrange200Color(),
        "deepOrange300" : NSColor.deepOrange300Color(),
        "deepOrange400" : NSColor.deepOrange400Color(),
        "deepOrange50" : NSColor.deepOrange50Color(),
        "deepOrange500" : NSColor.deepOrange500Color(),
        "deepOrange600" : NSColor.deepOrange600Color(),
        "deepOrange700" : NSColor.deepOrange700Color(),
        "deepOrange800" : NSColor.deepOrange800Color(),
        "deepOrange900" : NSColor.deepOrange900Color(),
        "deepOrangeA100" : NSColor.deepOrangeA100Color(),
        "deepOrangeA200" : NSColor.deepOrangeA200Color(),
        "deepOrangeA400" : NSColor.deepOrangeA400Color(),
        "deepOrangeA700" : NSColor.deepOrangeA700Color(),
        "deepPurple100" : NSColor.deepPurple100Color(),
        "deepPurple200" : NSColor.deepPurple200Color(),
        "deepPurple300" : NSColor.deepPurple300Color(),
        "deepPurple400" : NSColor.deepPurple400Color(),
        "deepPurple50" : NSColor.deepPurple50Color(),
        "deepPurple500" : NSColor.deepPurple500Color(),
        "deepPurple600" : NSColor.deepPurple600Color(),
        "deepPurple700" : NSColor.deepPurple700Color(),
        "deepPurple800" : NSColor.deepPurple800Color(),
        "deepPurple900" : NSColor.deepPurple900Color(),
        "deepPurpleA100" : NSColor.deepPurpleA100Color(),
        "deepPurpleA200" : NSColor.deepPurpleA200Color(),
        "deepPurpleA400" : NSColor.deepPurpleA400Color(),
        "deepPurpleA700" : NSColor.deepPurpleA700Color(),
        "deepRed" : NSColor.deepRedColor(),
        "deepSpaceSparkle" : NSColor.deepSpaceSparkleColor(),
        "deepTaupe" : NSColor.deepTaupeColor(),
        "deepTuscanRed" : NSColor.deepTuscanRedColor(),
        "deepAquamarine" : NSColor.deepAquamarineColor(),
        "deepCarmine" : NSColor.deepCarmineColor(),
        "deepCarminePink" : NSColor.deepCarminePinkColor(),
        "deepCarrotOrange" : NSColor.deepCarrotOrangeColor(),
        "deepCerise" : NSColor.deepCeriseColor(),
        "deepChampagne" : NSColor.deepChampagneColor(),
        "deepChestnut" : NSColor.deepChestnutColor(),
        "deepCoffee" : NSColor.deepCoffeeColor(),
        "deepFuchsia" : NSColor.deepFuchsiaColor(),
        "deepGreenCyanTurquoise" : NSColor.deepGreenCyanTurquoiseColor(),
        "deepJungleGreen" : NSColor.deepJungleGreenColor(),
        "deepKoamaru" : NSColor.deepKoamaruColor(),
        "deepLemon" : NSColor.deepLemonColor(),
        "deepLilac" : NSColor.deepLilacColor(),
        "deepMagenta" : NSColor.deepMagentaColor(),
        "deepMaroon" : NSColor.deepMaroonColor(),
        "deepMauve" : NSColor.deepMauveColor(),
        "deepMossGreen" : NSColor.deepMossGreenColor(),
        "deepPeach" : NSColor.deepPeachColor(),
        "deepPink" : NSColor.deepPinkColor(),
        "deepPuce" : NSColor.deepPuceColor(),
        "deepRuby" : NSColor.deepRubyColor(),
        "deepSaffron" : NSColor.deepSaffronColor(),
        "deepSkyBlue" : NSColor.deepSkyBlueColor(),
        "deepSpringBud" : NSColor.deepSpringBudColor(),
        "deepViolet" : NSColor.deepVioletColor(),
        "deer" : NSColor.deerColor(),
        "denim" : NSColor.denimColor(),
        "denimCrayola" : NSColor.denimCrayolaColor(),
        "desaturatedCyan" : NSColor.desaturatedCyanColor(),
        "desert" : NSColor.desertColor(),
        "desertSandCrayola" : NSColor.desertSandCrayolaColor(),
        "desertSand" : NSColor.desertSandColor(),
        "desire" : NSColor.desireColor(),
        "diamond" : NSColor.diamondColor(),
        "dimGray" : NSColor.dimGrayColor(),
        "dirt" : NSColor.dirtColor(),
        "dodgerBlue" : NSColor.dodgerBlueColor(),
        "dogwoodRose" : NSColor.dogwoodRoseColor(),
        "dollarBill" : NSColor.dollarBillColor(),
        "donkeyBrown" : NSColor.donkeyBrownColor(),
        "drab" : NSColor.drabColor(),
        "dukeBlue" : NSColor.dukeBlueColor(),
        "dustStorm" : NSColor.dustStormColor(),
        "dutchWhite" : NSColor.dutchWhiteColor(),
        "eagleGreen" : NSColor.eagleGreenColor(),
        "earthYellow" : NSColor.earthYellowColor(),
        "ebony" : NSColor.ebonyColor(),
        "ecru" : NSColor.ecruColor(),
        "eerieBlack" : NSColor.eerieBlackColor(),
        "eggplant" : NSColor.eggplantColor(),
        "eggplantCrayola" : NSColor.eggplantCrayolaColor(),
        "eggshell" : NSColor.eggshellColor(),
        "egyptianBlue" : NSColor.egyptianBlueColor(),
        "electricLimeCrayola" : NSColor.electricLimeCrayolaColor(),
        "electricBlue" : NSColor.electricBlueColor(),
        "electricCrimson" : NSColor.electricCrimsonColor(),
        "electricCyan" : NSColor.electricCyanColor(),
        "electricGreen" : NSColor.electricGreenColor(),
        "electricIndigo" : NSColor.electricIndigoColor(),
        "electricLavender" : NSColor.electricLavenderColor(),
        "electricLime" : NSColor.electricLimeColor(),
        "electricPurple" : NSColor.electricPurpleColor(),
        "electricUltramarine" : NSColor.electricUltramarineColor(),
        "electricViolet" : NSColor.electricVioletColor(),
        "electricYellow" : NSColor.electricYellowColor(),
        "emerald" : NSColor.emeraldColor(),
        "eminence" : NSColor.eminenceColor(),
        "englishGreen" : NSColor.englishGreenColor(),
        "englishLavender" : NSColor.englishLavenderColor(),
        "englishRed" : NSColor.englishRedColor(),
        "englishViolet" : NSColor.englishVioletColor(),
        "etonBlue" : NSColor.etonBlueColor(),
        "eucalyptus" : NSColor.eucalyptusColor(),
        "fallow" : NSColor.fallowColor(),
        "faluRed" : NSColor.faluRedColor(),
        "fandango" : NSColor.fandangoColor(),
        "fandangoPink" : NSColor.fandangoPinkColor(),
        "fashionFuchsia" : NSColor.fashionFuchsiaColor(),
        "fawn" : NSColor.fawnColor(),
        "feldgrau" : NSColor.feldgrauColor(),
        "feldspar" : NSColor.feldsparColor(),
        "fernCrayola" : NSColor.fernCrayolaColor(),
        "fernGreen" : NSColor.fernGreenColor(),
        "ferrariRed" : NSColor.ferrariRedColor(),
        "fieldDrab" : NSColor.fieldDrabColor(),
        "fireEngineRed" : NSColor.fireEngineRedColor(),
        "firebrick" : NSColor.firebrickColor(),
        "flame" : NSColor.flameColor(),
        "flamingoPink" : NSColor.flamingoPinkColor(),
        "flattery" : NSColor.flatteryColor(),
        "flavescent" : NSColor.flavescentColor(),
        "flax" : NSColor.flaxColor(),
        "flirt" : NSColor.flirtColor(),
        "floralWhite" : NSColor.floralWhiteColor(),
        "fluorescentOrange" : NSColor.fluorescentOrangeColor(),
        "fluorescentPink" : NSColor.fluorescentPinkColor(),
        "fluorescentYellow" : NSColor.fluorescentYellowColor(),
        "folly" : NSColor.follyColor(),
        "forestGreenCrayola" : NSColor.forestGreenCrayolaColor(),
        "forestGreenTraditional" : NSColor.forestGreenTraditionalColor(),
        "forestGreenWeb" : NSColor.forestGreenWebColor(),
        "frenchBeige" : NSColor.frenchBeigeColor(),
        "frenchBistre" : NSColor.frenchBistreColor(),
        "frenchBlue" : NSColor.frenchBlueColor(),
        "frenchFuchsia" : NSColor.frenchFuchsiaColor(),
        "frenchLilac" : NSColor.frenchLilacColor(),
        "frenchLime" : NSColor.frenchLimeColor(),
        "frenchMauve" : NSColor.frenchMauveColor(),
        "frenchPink" : NSColor.frenchPinkColor(),
        "frenchPlum" : NSColor.frenchPlumColor(),
        "frenchPuce" : NSColor.frenchPuceColor(),
        "frenchRaspberry" : NSColor.frenchRaspberryColor(),
        "frenchRose" : NSColor.frenchRoseColor(),
        "frenchSkyBlue" : NSColor.frenchSkyBlueColor(),
        "frenchViolet" : NSColor.frenchVioletColor(),
        "frenchWine" : NSColor.frenchWineColor(),
        "freshAir" : NSColor.freshAirColor(),
        "fuchsia" : NSColor.fuchsiaColor(),
        "fuchsiaCrayola" : NSColor.fuchsiaCrayolaColor(),
        "fuchsiaPink" : NSColor.fuchsiaPinkColor(),
        "fuchsiaPurple" : NSColor.fuchsiaPurpleColor(),
        "fuchsiaRose" : NSColor.fuchsiaRoseColor(),
        "fulvous" : NSColor.fulvousColor(),
        "fuzzyWuzzyCrayola" : NSColor.fuzzyWuzzyCrayolaColor(),
        "gOGreen" : NSColor.gOGreenColor(),
        "gainsboro" : NSColor.gainsboroColor(),
        "gamboge" : NSColor.gambogeColor(),
        "gambogeOrangeBrown" : NSColor.gambogeOrangeBrownColor(),
        "genericViridian" : NSColor.genericViridianColor(),
        "ghostWhite" : NSColor.ghostWhiteColor(),
        "giantsOrange" : NSColor.giantsOrangeColor(),
        "glaucous" : NSColor.glaucousColor(),
        "glitter" : NSColor.glitterColor(),
        "goldCrayola" : NSColor.goldCrayolaColor(),
        "goldMetallic" : NSColor.goldMetallicColor(),
        "goldWebGolden" : NSColor.goldWebGoldenColor(),
        "goldFusion" : NSColor.goldFusionColor(),
        "goldenBrown" : NSColor.goldenBrownColor(),
        "goldenPoppy" : NSColor.goldenPoppyColor(),
        "goldenYellow" : NSColor.goldenYellowColor(),
        "goldenrod" : NSColor.goldenrodColor(),
        "goldenrodCrayola" : NSColor.goldenrodCrayolaColor(),
        "grannySmithAppleCrayola" : NSColor.grannySmithAppleCrayolaColor(),
        "grape" : NSColor.grapeColor(),
        "grayAlternate" : NSColor.grayAlternateColor(),
        "grayCrayola" : NSColor.grayCrayolaColor(),
        "grayHTMLCSSGray" : NSColor.grayHTMLCSSGrayColor(),
        "grayX11Gray" : NSColor.grayX11GrayColor(),
        "grayAsparagus" : NSColor.grayAsparagusColor(),
        "grayBlue" : NSColor.grayBlueColor(),
        "greenColorWheelX11Green" : NSColor.greenColorWheelX11GreenColor(),
        "greenCrayola" : NSColor.greenCrayolaColor(),
        "greenHTMLCSS" : NSColor.greenHTMLCSSColor(),
        "greenMunsell" : NSColor.greenMunsellColor(),
        "greenNCS" : NSColor.greenNCSColor(),
        "greenPantone" : NSColor.greenPantoneColor(),
        "greenPigment" : NSColor.greenPigmentColor(),
        "greenRYB" : NSColor.greenRYBColor(),
        "green100" : NSColor.green100Color(),
        "green200" : NSColor.green200Color(),
        "green300" : NSColor.green300Color(),
        "green400" : NSColor.green400Color(),
        "green50" : NSColor.green50Color(),
        "green500" : NSColor.green500Color(),
        "green600" : NSColor.green600Color(),
        "green700" : NSColor.green700Color(),
        "green800" : NSColor.green800Color(),
        "green900" : NSColor.green900Color(),
        "greenA100" : NSColor.greenA100Color(),
        "greenA200" : NSColor.greenA200Color(),
        "greenA400" : NSColor.greenA400Color(),
        "greenA700" : NSColor.greenA700Color(),
        "greenBlueCrayola" : NSColor.greenBlueCrayolaColor(),
        "greenYellowCrayola" : NSColor.greenYellowCrayolaColor(),
        "greenYellow" : NSColor.greenYellowColor(),
        "greenCyan" : NSColor.greenCyanColor(),
        "grey100" : NSColor.grey100Color(),
        "grey200" : NSColor.grey200Color(),
        "grey300" : NSColor.grey300Color(),
        "grey400" : NSColor.grey400Color(),
        "grey50" : NSColor.grey50Color(),
        "grey500" : NSColor.grey500Color(),
        "grey600" : NSColor.grey600Color(),
        "grey700" : NSColor.grey700Color(),
        "grey800" : NSColor.grey800Color(),
        "grey900" : NSColor.grey900Color(),
        "grizzly" : NSColor.grizzlyColor(),
        "grullo" : NSColor.grulloColor(),
        "grussrel" : NSColor.grussrelColor(),
        "gunmetal" : NSColor.gunmetalColor(),
        "guppieGreen" : NSColor.guppieGreenColor(),
        "halayàúbe" : NSColor.halayàúbeColor(),
        "hanBlue" : NSColor.hanBlueColor(),
        "hanPurple" : NSColor.hanPurpleColor(),
        "hansaYellow" : NSColor.hansaYellowColor(),
        "harlequin" : NSColor.harlequinColor(),
        "harlequinGreen" : NSColor.harlequinGreenColor(),
        "harvardCrimson" : NSColor.harvardCrimsonColor(),
        "harvestGold" : NSColor.harvestGoldColor(),
        "heartGold" : NSColor.heartGoldColor(),
        "heliotrope" : NSColor.heliotropeColor(),
        "heliotropeGray" : NSColor.heliotropeGrayColor(),
        "heliotropeMagenta" : NSColor.heliotropeMagentaColor(),
        "hollywoodCerise" : NSColor.hollywoodCeriseColor(),
        "honeydew" : NSColor.honeydewColor(),
        "honoluluBlue" : NSColor.honoluluBlueColor(),
        "hookersGreen" : NSColor.hookersGreenColor(),
        "hotMagentaCrayola" : NSColor.hotMagentaCrayolaColor(),
        "hotPink" : NSColor.hotPinkColor(),
        "hunterGreen" : NSColor.hunterGreenColor(),
        "iceberg" : NSColor.icebergColor(),
        "icterine" : NSColor.icterineColor(),
        "illuminatingEmerald" : NSColor.illuminatingEmeraldColor(),
        "imperial" : NSColor.imperialColor(),
        "imperialBlue" : NSColor.imperialBlueColor(),
        "imperialPurple" : NSColor.imperialPurpleColor(),
        "imperialRed" : NSColor.imperialRedColor(),
        "inchwormCrayola" : NSColor.inchwormCrayolaColor(),
        "independence" : NSColor.independenceColor(),
        "indiaGreen" : NSColor.indiaGreenColor(),
        "indianRed" : NSColor.indianRedColor(),
        "indianYellow" : NSColor.indianYellowColor(),
        "indigo" : NSColor.indigoColor(),
        "indigoCrayola" : NSColor.indigoCrayolaColor(),
        "indigo100" : NSColor.indigo100Color(),
        "indigo200" : NSColor.indigo200Color(),
        "indigo300" : NSColor.indigo300Color(),
        "indigo400" : NSColor.indigo400Color(),
        "indigo50" : NSColor.indigo50Color(),
        "indigo500" : NSColor.indigo500Color(),
        "indigo600" : NSColor.indigo600Color(),
        "indigo700" : NSColor.indigo700Color(),
        "indigo800" : NSColor.indigo800Color(),
        "indigo900" : NSColor.indigo900Color(),
        "indigoA100" : NSColor.indigoA100Color(),
        "indigoA200" : NSColor.indigoA200Color(),
        "indigoA400" : NSColor.indigoA400Color(),
        "indigoA700" : NSColor.indigoA700Color(),
        "indigoDye" : NSColor.indigoDyeColor(),
        "internationalKleinBlue" : NSColor.internationalKleinBlueColor(),
        "internationalOrangeAerospace" : NSColor.internationalOrangeAerospaceColor(),
        "internationalOrangeEngineering" : NSColor.internationalOrangeEngineeringColor(),
        "internationalOrangeGoldenGateBridge" : NSColor.internationalOrangeGoldenGateBridgeColor(),
        "iris" : NSColor.irisColor(),
        "irresistible" : NSColor.irresistibleColor(),
        "isabelline" : NSColor.isabellineColor(),
        "islamicGreen" : NSColor.islamicGreenColor(),
        "italianSkyBlue" : NSColor.italianSkyBlueColor(),
        "ivory" : NSColor.ivoryColor(),
        "jade" : NSColor.jadeColor(),
        "japaneseCarmine" : NSColor.japaneseCarmineColor(),
        "japaneseIndigo" : NSColor.japaneseIndigoColor(),
        "japaneseViolet" : NSColor.japaneseVioletColor(),
        "jasmine" : NSColor.jasmineColor(),
        "jasper" : NSColor.jasperColor(),
        "jawadChickenColorHTMLCSSKhaki" : NSColor.jawadChickenColorHTMLCSSKhakiColor(),
        "jazzberryJamCrayola" : NSColor.jazzberryJamCrayolaColor(),
        "jellyBean" : NSColor.jellyBeanColor(),
        "jet" : NSColor.jetColor(),
        "jonquil" : NSColor.jonquilColor(),
        "jordyBlue" : NSColor.jordyBlueColor(),
        "juneBud" : NSColor.juneBudColor(),
        "jungleGreenCrayola" : NSColor.jungleGreenCrayolaColor(),
        "kUCrimson" : NSColor.kUCrimsonColor(),
        "kellyGreen" : NSColor.kellyGreenColor(),
        "kenyanCopper" : NSColor.kenyanCopperColor(),
        "keppel" : NSColor.keppelColor(),
        "khaki" : NSColor.khakiColor(),
        "khakiX11LightKhaki" : NSColor.khakiX11LightKhakiColor(),
        "kobe" : NSColor.kobeColor(),
        "kobi" : NSColor.kobiColor(),
        "kombuGreen" : NSColor.kombuGreenColor(),
        "laSalleGreen" : NSColor.laSalleGreenColor(),
        "languidLavender" : NSColor.languidLavenderColor(),
        "lapisLazuli" : NSColor.lapisLazuliColor(),
        "laserLemonCrayola" : NSColor.laserLemonCrayolaColor(),
        "laurelGreen" : NSColor.laurelGreenColor(),
        "lava" : NSColor.lavaColor(),
        "lavenderCrayola" : NSColor.lavenderCrayolaColor(),
        "lavenderFloral" : NSColor.lavenderFloralColor(),
        "lavenderWeb" : NSColor.lavenderWebColor(),
        "lavenderBlue" : NSColor.lavenderBlueColor(),
        "lavenderBlush" : NSColor.lavenderBlushColor(),
        "lavenderGray" : NSColor.lavenderGrayColor(),
        "lavenderIndigo" : NSColor.lavenderIndigoColor(),
        "lavenderMagenta" : NSColor.lavenderMagentaColor(),
        "lavenderMist" : NSColor.lavenderMistColor(),
        "lavenderPink" : NSColor.lavenderPinkColor(),
        "lavenderPurple" : NSColor.lavenderPurpleColor(),
        "lavenderRose" : NSColor.lavenderRoseColor(),
        "lawnGreen" : NSColor.lawnGreenColor(),
        "lemon" : NSColor.lemonColor(),
        "lemonYellowCrayola" : NSColor.lemonYellowCrayolaColor(),
        "lemonChiffon" : NSColor.lemonChiffonColor(),
        "lemonCurry" : NSColor.lemonCurryColor(),
        "lemonGlacier" : NSColor.lemonGlacierColor(),
        "lemonLime" : NSColor.lemonLimeColor(),
        "lemonMeringue" : NSColor.lemonMeringueColor(),
        "lenurple" : NSColor.lenurpleColor(),
        "liberty" : NSColor.libertyColor(),
        "licorice" : NSColor.licoriceColor(),
        "lightBlueCrayola" : NSColor.lightBlueCrayolaColor(),
        "lightBlue100" : NSColor.lightBlue100Color(),
        "lightBlue200" : NSColor.lightBlue200Color(),
        "lightBlue300" : NSColor.lightBlue300Color(),
        "lightBlue400" : NSColor.lightBlue400Color(),
        "lightBlue50" : NSColor.lightBlue50Color(),
        "lightBlue500" : NSColor.lightBlue500Color(),
        "lightBlue600" : NSColor.lightBlue600Color(),
        "lightBlue700" : NSColor.lightBlue700Color(),
        "lightBlue800" : NSColor.lightBlue800Color(),
        "lightBlue900" : NSColor.lightBlue900Color(),
        "lightBlueA100" : NSColor.lightBlueA100Color(),
        "lightBlueA200" : NSColor.lightBlueA200Color(),
        "lightBlueA400" : NSColor.lightBlueA400Color(),
        "lightBlueA700" : NSColor.lightBlueA700Color(),
        "lightFrenchBeige" : NSColor.lightFrenchBeigeColor(),
        "lightGreen100" : NSColor.lightGreen100Color(),
        "lightGreen200" : NSColor.lightGreen200Color(),
        "lightGreen300" : NSColor.lightGreen300Color(),
        "lightGreen400" : NSColor.lightGreen400Color(),
        "lightGreen50" : NSColor.lightGreen50Color(),
        "lightGreen500" : NSColor.lightGreen500Color(),
        "lightGreen600" : NSColor.lightGreen600Color(),
        "lightGreen700" : NSColor.lightGreen700Color(),
        "lightGreen800" : NSColor.lightGreen800Color(),
        "lightGreen900" : NSColor.lightGreen900Color(),
        "lightGreenA100" : NSColor.lightGreenA100Color(),
        "lightGreenA200" : NSColor.lightGreenA200Color(),
        "lightGreenA400" : NSColor.lightGreenA400Color(),
        "lightGreenA700" : NSColor.lightGreenA700Color(),
        "lightThulianPink" : NSColor.lightThulianPinkColor(),
        "lightApricot" : NSColor.lightApricotColor(),
        "lightBlue" : NSColor.lightBlueColor(),
        "lightBrilliantRed" : NSColor.lightBrilliantRedColor(),
        "lightBrown" : NSColor.lightBrownColor(),
        "lightCarminePink" : NSColor.lightCarminePinkColor(),
        "lightCobaltBlue" : NSColor.lightCobaltBlueColor(),
        "lightCoral" : NSColor.lightCoralColor(),
        "lightCornflowerBlue" : NSColor.lightCornflowerBlueColor(),
        "lightCrimson" : NSColor.lightCrimsonColor(),
        "lightCyan" : NSColor.lightCyanColor(),
        "lightDeepPink" : NSColor.lightDeepPinkColor(),
        "lightFuchsiaPink" : NSColor.lightFuchsiaPinkColor(),
        "lightGoldenrodYellow" : NSColor.lightGoldenrodYellowColor(),
        "lightGrayAlternate" : NSColor.lightGrayAlternateColor(),
        "lightGrayishMagenta" : NSColor.lightGrayishMagentaColor(),
        "lightGreen" : NSColor.lightGreenColor(),
        "lightHotPink" : NSColor.lightHotPinkColor(),
        "lightKhaki" : NSColor.lightKhakiColor(),
        "lightMediumOrchid" : NSColor.lightMediumOrchidColor(),
        "lightMossGreen" : NSColor.lightMossGreenColor(),
        "lightOrchid" : NSColor.lightOrchidColor(),
        "lightPastelPurple" : NSColor.lightPastelPurpleColor(),
        "lightPink" : NSColor.lightPinkColor(),
        "lightRedOchre" : NSColor.lightRedOchreColor(),
        "lightSalmon" : NSColor.lightSalmonColor(),
        "lightSalmonPink" : NSColor.lightSalmonPinkColor(),
        "lightSeaGreen" : NSColor.lightSeaGreenColor(),
        "lightSkyBlue" : NSColor.lightSkyBlueColor(),
        "lightSlateGray" : NSColor.lightSlateGrayColor(),
        "lightSteelBlue" : NSColor.lightSteelBlueColor(),
        "lightTaupe" : NSColor.lightTaupeColor(),
        "lightYellow" : NSColor.lightYellowColor(),
        "lilac" : NSColor.lilacColor(),
        "limeColorWheel" : NSColor.limeColorWheelColor(),
        "limeWebX11Green" : NSColor.limeWebX11GreenColor(),
        "lime100" : NSColor.lime100Color(),
        "lime200" : NSColor.lime200Color(),
        "lime300" : NSColor.lime300Color(),
        "lime400" : NSColor.lime400Color(),
        "lime50" : NSColor.lime50Color(),
        "lime500" : NSColor.lime500Color(),
        "lime600" : NSColor.lime600Color(),
        "lime700" : NSColor.lime700Color(),
        "lime800" : NSColor.lime800Color(),
        "lime900" : NSColor.lime900Color(),
        "limeA100" : NSColor.limeA100Color(),
        "limeA200" : NSColor.limeA200Color(),
        "limeA400" : NSColor.limeA400Color(),
        "limeA700" : NSColor.limeA700Color(),
        "limeGreen" : NSColor.limeGreenColor(),
        "limerick" : NSColor.limerickColor(),
        "lincolnGreen" : NSColor.lincolnGreenColor(),
        "linen" : NSColor.linenColor(),
        "lion" : NSColor.lionColor(),
        "liseranPurple" : NSColor.liseranPurpleColor(),
        "littleBoyBlue" : NSColor.littleBoyBlueColor(),
        "liver" : NSColor.liverColor(),
        "liverDogs" : NSColor.liverDogsColor(),
        "liverOrgan" : NSColor.liverOrganColor(),
        "liverChestnut" : NSColor.liverChestnutColor(),
        "livid" : NSColor.lividColor(),
        "lumber" : NSColor.lumberColor(),
        "lust" : NSColor.lustColor(),
        "mSUGreen" : NSColor.mSUGreenColor(),
        "macaroniAndCheeseCrayola" : NSColor.macaroniAndCheeseCrayolaColor(),
        "magentaCrayola" : NSColor.magentaCrayolaColor(),
        "magentaDye" : NSColor.magentaDyeColor(),
        "magentaPantone" : NSColor.magentaPantoneColor(),
        "magentaProcess" : NSColor.magentaProcessColor(),
        "magentaHaze" : NSColor.magentaHazeColor(),
        "magentaPink" : NSColor.magentaPinkColor(),
        "magicMintCrayola" : NSColor.magicMintCrayolaColor(),
        "magnolia" : NSColor.magnoliaColor(),
        "mahogany" : NSColor.mahoganyColor(),
        "mahoganyCrayola" : NSColor.mahoganyCrayolaColor(),
        "maize" : NSColor.maizeColor(),
        "maizeCrayola" : NSColor.maizeCrayolaColor(),
        "majorelleBlue" : NSColor.majorelleBlueColor(),
        "malachite" : NSColor.malachiteColor(),
        "manateeCrayola" : NSColor.manateeCrayolaColor(),
        "mangoTangoCrayola" : NSColor.mangoTangoCrayolaColor(),
        "mantis" : NSColor.mantisColor(),
        "mardiGras" : NSColor.mardiGrasColor(),
        "marigold" : NSColor.marigoldColor(),
        "maroonCrayola" : NSColor.maroonCrayolaColor(),
        "maroonHTMLCSS" : NSColor.maroonHTMLCSSColor(),
        "maroonX11" : NSColor.maroonX11Color(),
        "mauve" : NSColor.mauveColor(),
        "mauveTaupe" : NSColor.mauveTaupeColor(),
        "mauvelousCrayola" : NSColor.mauvelousCrayolaColor(),
        "mayGreen" : NSColor.mayGreenColor(),
        "mayaBlue" : NSColor.mayaBlueColor(),
        "meatBrown" : NSColor.meatBrownColor(),
        "mediumPersianBlue" : NSColor.mediumPersianBlueColor(),
        "mediumTuscanRed" : NSColor.mediumTuscanRedColor(),
        "mediumAquamarine" : NSColor.mediumAquamarineColor(),
        "mediumBlue" : NSColor.mediumBlueColor(),
        "mediumCandyAppleRed" : NSColor.mediumCandyAppleRedColor(),
        "mediumCarmine" : NSColor.mediumCarmineColor(),
        "mediumChampagne" : NSColor.mediumChampagneColor(),
        "mediumElectricBlue" : NSColor.mediumElectricBlueColor(),
        "mediumJungleGreen" : NSColor.mediumJungleGreenColor(),
        "mediumLavenderMagenta" : NSColor.mediumLavenderMagentaColor(),
        "mediumOrchid" : NSColor.mediumOrchidColor(),
        "mediumPurple" : NSColor.mediumPurpleColor(),
        "mediumRedViolet" : NSColor.mediumRedVioletColor(),
        "mediumRuby" : NSColor.mediumRubyColor(),
        "mediumSeaGreen" : NSColor.mediumSeaGreenColor(),
        "mediumSkyBlue" : NSColor.mediumSkyBlueColor(),
        "mediumSlateBlue" : NSColor.mediumSlateBlueColor(),
        "mediumSpringBud" : NSColor.mediumSpringBudColor(),
        "mediumSpringGreen" : NSColor.mediumSpringGreenColor(),
        "mediumTaupe" : NSColor.mediumTaupeColor(),
        "mediumTurquoise" : NSColor.mediumTurquoiseColor(),
        "mediumVermilion" : NSColor.mediumVermilionColor(),
        "mediumVioletRed" : NSColor.mediumVioletRedColor(),
        "mellowApricot" : NSColor.mellowApricotColor(),
        "mellowYellow" : NSColor.mellowYellowColor(),
        "melonCrayola" : NSColor.melonCrayolaColor(),
        "metallicSeaweed" : NSColor.metallicSeaweedColor(),
        "metallicSunburst" : NSColor.metallicSunburstColor(),
        "mexicanPink" : NSColor.mexicanPinkColor(),
        "midnightBlueCrayola" : NSColor.midnightBlueCrayolaColor(),
        "midnightBlue" : NSColor.midnightBlueColor(),
        "midnightGreen" : NSColor.midnightGreenColor(),
        "mikadoYellow" : NSColor.mikadoYellowColor(),
        "mindaro" : NSColor.mindaroColor(),
        "ming" : NSColor.mingColor(),
        "mint" : NSColor.mintColor(),
        "mintCream" : NSColor.mintCreamColor(),
        "mintGreen" : NSColor.mintGreenColor(),
        "mistyRose" : NSColor.mistyRoseColor(),
        "moccasin" : NSColor.moccasinColor(),
        "modeBeige" : NSColor.modeBeigeColor(),
        "moonstoneBlue" : NSColor.moonstoneBlueColor(),
        "mordantRed19" : NSColor.mordantRed19Color(),
        "mossGreen" : NSColor.mossGreenColor(),
        "mountainMeadow" : NSColor.mountainMeadowColor(),
        "mountainMeadowCrayola" : NSColor.mountainMeadowCrayolaColor(),
        "mountbattenPink" : NSColor.mountbattenPinkColor(),
        "mughalGreen" : NSColor.mughalGreenColor(),
        "mulberryCrayola" : NSColor.mulberryCrayolaColor(),
        "mustard" : NSColor.mustardColor(),
        "myrtleGreen" : NSColor.myrtleGreenColor(),
        "nadeshikoPink" : NSColor.nadeshikoPinkColor(),
        "napierGreen" : NSColor.napierGreenColor(),
        "naplesYellow" : NSColor.naplesYellowColor(),
        "navajoWhite" : NSColor.navajoWhiteColor(),
        "navy" : NSColor.navyColor(),
        "navyBlue" : NSColor.navyBlueColor(),
        "navyBlueCrayola" : NSColor.navyBlueCrayolaColor(),
        "navyPurple" : NSColor.navyPurpleColor(),
        "neonCarrotCrayola" : NSColor.neonCarrotCrayolaColor(),
        "neonFuchsia" : NSColor.neonFuchsiaColor(),
        "neonGreen" : NSColor.neonGreenColor(),
        "newCar" : NSColor.newCarColor(),
        "newYorkPink" : NSColor.newYorkPinkColor(),
        "nonPhotoBlue" : NSColor.nonPhotoBlueColor(),
        "northTexasGreen" : NSColor.northTexasGreenColor(),
        "nyanza" : NSColor.nyanzaColor(),
        "oUCrimsonRed" : NSColor.oUCrimsonRedColor(),
        "oceanBoatBlue" : NSColor.oceanBoatBlueColor(),
        "ochre" : NSColor.ochreColor(),
        "officeGreen" : NSColor.officeGreenColor(),
        "oldBurgundy" : NSColor.oldBurgundyColor(),
        "oldGold" : NSColor.oldGoldColor(),
        "oldHeliotrope" : NSColor.oldHeliotropeColor(),
        "oldLace" : NSColor.oldLaceColor(),
        "oldLavender" : NSColor.oldLavenderColor(),
        "oldMauve" : NSColor.oldMauveColor(),
        "oldMossGreen" : NSColor.oldMossGreenColor(),
        "oldRose" : NSColor.oldRoseColor(),
        "oldSilver" : NSColor.oldSilverColor(),
        "olive" : NSColor.oliveColor(),
        "oliveDrabNumber3" : NSColor.oliveDrabNumber3Color(),
        "oliveDrabNumber7" : NSColor.oliveDrabNumber7Color(),
        "oliveGreenCrayola" : NSColor.oliveGreenCrayolaColor(),
        "olivine" : NSColor.olivineColor(),
        "onyx" : NSColor.onyxColor(),
        "operaMauve" : NSColor.operaMauveColor(),
        "orangeColorWheel" : NSColor.orangeColorWheelColor(),
        "orangeCrayola" : NSColor.orangeCrayolaColor(),
        "orangePantone" : NSColor.orangePantoneColor(),
        "orangeRYB" : NSColor.orangeRYBColor(),
        "orangeWeb" : NSColor.orangeWebColor(),
        "orange100" : NSColor.orange100Color(),
        "orange200" : NSColor.orange200Color(),
        "orange300" : NSColor.orange300Color(),
        "orange400" : NSColor.orange400Color(),
        "orange50" : NSColor.orange50Color(),
        "orange500" : NSColor.orange500Color(),
        "orange600" : NSColor.orange600Color(),
        "orange700" : NSColor.orange700Color(),
        "orange800" : NSColor.orange800Color(),
        "orange900" : NSColor.orange900Color(),
        "orangeA100" : NSColor.orangeA100Color(),
        "orangeA200" : NSColor.orangeA200Color(),
        "orangeA400" : NSColor.orangeA400Color(),
        "orangeA700" : NSColor.orangeA700Color(),
        "orangeRedCrayola" : NSColor.orangeRedCrayolaColor(),
        "orangeYellowCrayola" : NSColor.orangeYellowCrayolaColor(),
        "orangePeel" : NSColor.orangePeelColor(),
        "orangeRed" : NSColor.orangeRedColor(),
        "orchid" : NSColor.orchidColor(),
        "orchidCrayola" : NSColor.orchidCrayolaColor(),
        "orchidPink" : NSColor.orchidPinkColor(),
        "oriolesOrange" : NSColor.oriolesOrangeColor(),
        "otterBrown" : NSColor.otterBrownColor(),
        "outerSpaceCrayola" : NSColor.outerSpaceCrayolaColor(),
        "outrageousOrangeCrayola" : NSColor.outrageousOrangeCrayolaColor(),
        "oxfordBlue" : NSColor.oxfordBlueColor(),
        "pacificBlueCrayola" : NSColor.pacificBlueCrayolaColor(),
        "pakistanGreen" : NSColor.pakistanGreenColor(),
        "palatinateBlue" : NSColor.palatinateBlueColor(),
        "palatinatePurple" : NSColor.palatinatePurpleColor(),
        "paleAqua" : NSColor.paleAquaColor(),
        "paleBlue" : NSColor.paleBlueColor(),
        "paleBrown" : NSColor.paleBrownColor(),
        "paleCarmine" : NSColor.paleCarmineColor(),
        "paleCerulean" : NSColor.paleCeruleanColor(),
        "paleChestnut" : NSColor.paleChestnutColor(),
        "paleCopper" : NSColor.paleCopperColor(),
        "paleCornflowerBlue" : NSColor.paleCornflowerBlueColor(),
        "paleCyan" : NSColor.paleCyanColor(),
        "paleGold" : NSColor.paleGoldColor(),
        "paleGoldenrod" : NSColor.paleGoldenrodColor(),
        "paleGreen" : NSColor.paleGreenColor(),
        "paleLavender" : NSColor.paleLavenderColor(),
        "paleMagenta" : NSColor.paleMagentaColor(),
        "paleMagentaPink" : NSColor.paleMagentaPinkColor(),
        "palePink" : NSColor.palePinkColor(),
        "palePlum" : NSColor.palePlumColor(),
        "paleRedViolet" : NSColor.paleRedVioletColor(),
        "paleRobinEggBlue" : NSColor.paleRobinEggBlueColor(),
        "paleSilver" : NSColor.paleSilverColor(),
        "paleSpringBud" : NSColor.paleSpringBudColor(),
        "paleTaupe" : NSColor.paleTaupeColor(),
        "paleTurquoise" : NSColor.paleTurquoiseColor(),
        "paleViolet" : NSColor.paleVioletColor(),
        "paleVioletRed" : NSColor.paleVioletRedColor(),
        "pansyPurple" : NSColor.pansyPurpleColor(),
        "paoloVeroneseGreen" : NSColor.paoloVeroneseGreenColor(),
        "papayaWhip" : NSColor.papayaWhipColor(),
        "paradisePink" : NSColor.paradisePinkColor(),
        "parisGreen" : NSColor.parisGreenColor(),
        "pastelBlue" : NSColor.pastelBlueColor(),
        "pastelBrown" : NSColor.pastelBrownColor(),
        "pastelGray" : NSColor.pastelGrayColor(),
        "pastelGreen" : NSColor.pastelGreenColor(),
        "pastelMagenta" : NSColor.pastelMagentaColor(),
        "pastelOrange" : NSColor.pastelOrangeColor(),
        "pastelPink" : NSColor.pastelPinkColor(),
        "pastelPurple" : NSColor.pastelPurpleColor(),
        "pastelRed" : NSColor.pastelRedColor(),
        "pastelViolet" : NSColor.pastelVioletColor(),
        "pastelYellow" : NSColor.pastelYellowColor(),
        "patriarch" : NSColor.patriarchColor(),
        "paynesGrey" : NSColor.paynesGreyColor(),
        "peach" : NSColor.peachColor(),
        "peachCrayola" : NSColor.peachCrayolaColor(),
        "peachPuff" : NSColor.peachPuffColor(),
        "peachOrange" : NSColor.peachOrangeColor(),
        "peachYellow" : NSColor.peachYellowColor(),
        "pear" : NSColor.pearColor(),
        "pearl" : NSColor.pearlColor(),
        "pearlAqua" : NSColor.pearlAquaColor(),
        "pearlyPurple" : NSColor.pearlyPurpleColor(),
        "peridot" : NSColor.peridotColor(),
        "periwinkle" : NSColor.periwinkleColor(),
        "periwinkleCrayola" : NSColor.periwinkleCrayolaColor(),
        "persianBlue" : NSColor.persianBlueColor(),
        "persianGreen" : NSColor.persianGreenColor(),
        "persianIndigo" : NSColor.persianIndigoColor(),
        "persianOrange" : NSColor.persianOrangeColor(),
        "persianPink" : NSColor.persianPinkColor(),
        "persianPlum" : NSColor.persianPlumColor(),
        "persianRed" : NSColor.persianRedColor(),
        "persianRose" : NSColor.persianRoseColor(),
        "persimmon" : NSColor.persimmonColor(),
        "peru" : NSColor.peruColor(),
        "phlox" : NSColor.phloxColor(),
        "phthaloBlue" : NSColor.phthaloBlueColor(),
        "phthaloGreen" : NSColor.phthaloGreenColor(),
        "pictonBlue" : NSColor.pictonBlueColor(),
        "pictorialCarmine" : NSColor.pictorialCarmineColor(),
        "piggyPinkCrayola" : NSColor.piggyPinkCrayolaColor(),
        "pineGreenCrayola" : NSColor.pineGreenCrayolaColor(),
        "pineGreen" : NSColor.pineGreenColor(),
        "pineapple" : NSColor.pineappleColor(),
        "pink" : NSColor.pinkColor(),
        "pinkPantone" : NSColor.pinkPantoneColor(),
        "pink100" : NSColor.pink100Color(),
        "pink200" : NSColor.pink200Color(),
        "pink300" : NSColor.pink300Color(),
        "pink400" : NSColor.pink400Color(),
        "pink50" : NSColor.pink50Color(),
        "pink500" : NSColor.pink500Color(),
        "pink600" : NSColor.pink600Color(),
        "pink700" : NSColor.pink700Color(),
        "pink800" : NSColor.pink800Color(),
        "pink900" : NSColor.pink900Color(),
        "pinkA100" : NSColor.pinkA100Color(),
        "pinkA200" : NSColor.pinkA200Color(),
        "pinkA400" : NSColor.pinkA400Color(),
        "pinkA700" : NSColor.pinkA700Color(),
        "pinkFlamingoCrayola" : NSColor.pinkFlamingoCrayolaColor(),
        "pinkSherbertCrayola" : NSColor.pinkSherbertCrayolaColor(),
        "pinkLace" : NSColor.pinkLaceColor(),
        "pinkLavender" : NSColor.pinkLavenderColor(),
        "pinkPearl" : NSColor.pinkPearlColor(),
        "pinkRaspberry" : NSColor.pinkRaspberryColor(),
        "pinkOrange" : NSColor.pinkOrangeColor(),
        "pistachio" : NSColor.pistachioColor(),
        "platinum" : NSColor.platinumColor(),
        "plum" : NSColor.plumColor(),
        "plumCrayola" : NSColor.plumCrayolaColor(),
        "plumWeb" : NSColor.plumWebColor(),
        "pompAndPower" : NSColor.pompAndPowerColor(),
        "popstar" : NSColor.popstarColor(),
        "portlandOrange" : NSColor.portlandOrangeColor(),
        "powderBlue" : NSColor.powderBlueColor(),
        "princetonOrange" : NSColor.princetonOrangeColor(),
        "prune" : NSColor.pruneColor(),
        "prussianBlue" : NSColor.prussianBlueColor(),
        "psychedelicPurple" : NSColor.psychedelicPurpleColor(),
        "puce" : NSColor.puceColor(),
        "puceRed" : NSColor.puceRedColor(),
        "pullmanBrownUPSBrown" : NSColor.pullmanBrownUPSBrownColor(),
        "pullmanGreen" : NSColor.pullmanGreenColor(),
        "pumpkin" : NSColor.pumpkinColor(),
        "purpleHTML" : NSColor.purpleHTMLColor(),
        "purpleMunsell" : NSColor.purpleMunsellColor(),
        "purpleX11" : NSColor.purpleX11Color(),
        "purple100" : NSColor.purple100Color(),
        "purple200" : NSColor.purple200Color(),
        "purple300" : NSColor.purple300Color(),
        "purple400" : NSColor.purple400Color(),
        "purple50" : NSColor.purple50Color(),
        "purple500" : NSColor.purple500Color(),
        "purple600" : NSColor.purple600Color(),
        "purple700" : NSColor.purple700Color(),
        "purple800" : NSColor.purple800Color(),
        "purple900" : NSColor.purple900Color(),
        "purpleA100" : NSColor.purpleA100Color(),
        "purpleA200" : NSColor.purpleA200Color(),
        "purpleA400" : NSColor.purpleA400Color(),
        "purpleA700" : NSColor.purpleA700Color(),
        "purpleHeart" : NSColor.purpleHeartColor(),
        "purpleHeartCrayola" : NSColor.purpleHeartCrayolaColor(),
        "purpleMountainsMajestyCrayola" : NSColor.purpleMountainsMajestyCrayolaColor(),
        "purplePizzazzCrayola" : NSColor.purplePizzazzCrayolaColor(),
        "purpleMountainMajesty" : NSColor.purpleMountainMajestyColor(),
        "purpleNavy" : NSColor.purpleNavyColor(),
        "purpleTaupe" : NSColor.purpleTaupeColor(),
        "purpureus" : NSColor.purpureusColor(),
        "quartz" : NSColor.quartzColor(),
        "queenBlue" : NSColor.queenBlueColor(),
        "queenPink" : NSColor.queenPinkColor(),
        "quinacridoneMagenta" : NSColor.quinacridoneMagentaColor(),
        "rackley" : NSColor.rackleyColor(),
        "radicalRed" : NSColor.radicalRedColor(),
        "radicalRedCrayola" : NSColor.radicalRedCrayolaColor(),
        "rajah" : NSColor.rajahColor(),
        "raspberry" : NSColor.raspberryColor(),
        "raspberryGlace" : NSColor.raspberryGlaceColor(),
        "raspberryPink" : NSColor.raspberryPinkColor(),
        "raspberryRose" : NSColor.raspberryRoseColor(),
        "rawSiennaCrayola" : NSColor.rawSiennaCrayolaColor(),
        "rawUmberCrayola" : NSColor.rawUmberCrayolaColor(),
        "rawUmber" : NSColor.rawUmberColor(),
        "razzleDazzleRoseCrayola" : NSColor.razzleDazzleRoseCrayolaColor(),
        "razzleDazzleRose" : NSColor.razzleDazzleRoseColor(),
        "razzmatazzCrayola" : NSColor.razzmatazzCrayolaColor(),
        "razzmicBerry" : NSColor.razzmicBerryColor(),
        "rebeccaPurple" : NSColor.rebeccaPurpleColor(),
        "redCrayola" : NSColor.redCrayolaColor(),
        "redMunsell" : NSColor.redMunsellColor(),
        "redNCS" : NSColor.redNCSColor(),
        "redPantone" : NSColor.redPantoneColor(),
        "redPigment" : NSColor.redPigmentColor(),
        "redRYB" : NSColor.redRYBColor(),
        "red100" : NSColor.red100Color(),
        "red200" : NSColor.red200Color(),
        "red300" : NSColor.red300Color(),
        "red400" : NSColor.red400Color(),
        "red50" : NSColor.red50Color(),
        "red500" : NSColor.red500Color(),
        "red600" : NSColor.red600Color(),
        "red700" : NSColor.red700Color(),
        "red800" : NSColor.red800Color(),
        "red900" : NSColor.red900Color(),
        "redA100" : NSColor.redA100Color(),
        "redA200" : NSColor.redA200Color(),
        "redA400" : NSColor.redA400Color(),
        "redA700" : NSColor.redA700Color(),
        "redOrangeCrayola" : NSColor.redOrangeCrayolaColor(),
        "redVioletCrayola" : NSColor.redVioletCrayolaColor(),
        "redDevil" : NSColor.redDevilColor(),
        "redBrown" : NSColor.redBrownColor(),
        "redPurple" : NSColor.redPurpleColor(),
        "redViolet" : NSColor.redVioletColor(),
        "redwood" : NSColor.redwoodColor(),
        "regalia" : NSColor.regaliaColor(),
        "registrationBlack" : NSColor.registrationBlackColor(),
        "resolutionBlue" : NSColor.resolutionBlueColor(),
        "rhythm" : NSColor.rhythmColor(),
        "richBlack" : NSColor.richBlackColor(),
        "richBlackFOGRA29" : NSColor.richBlackFOGRA29Color(),
        "richBlackFOGRA39" : NSColor.richBlackFOGRA39Color(),
        "richBrilliantLavender" : NSColor.richBrilliantLavenderColor(),
        "richCarmine" : NSColor.richCarmineColor(),
        "richElectricBlue" : NSColor.richElectricBlueColor(),
        "richLavender" : NSColor.richLavenderColor(),
        "richLilac" : NSColor.richLilacColor(),
        "richMaroon" : NSColor.richMaroonColor(),
        "rifleGreen" : NSColor.rifleGreenColor(),
        "roastCoffee" : NSColor.roastCoffeeColor(),
        "robinEggBlue" : NSColor.robinEggBlueColor(),
        "robinsEggBlueCrayola" : NSColor.robinsEggBlueCrayolaColor(),
        "rocketMetallic" : NSColor.rocketMetallicColor(),
        "romanSilver" : NSColor.romanSilverColor(),
        "rose" : NSColor.roseColor(),
        "roseBonbon" : NSColor.roseBonbonColor(),
        "roseEbony" : NSColor.roseEbonyColor(),
        "roseGold" : NSColor.roseGoldColor(),
        "roseMadder" : NSColor.roseMadderColor(),
        "rosePink" : NSColor.rosePinkColor(),
        "roseQuartz" : NSColor.roseQuartzColor(),
        "roseRed" : NSColor.roseRedColor(),
        "roseTaupe" : NSColor.roseTaupeColor(),
        "roseVale" : NSColor.roseValeColor(),
        "rosewood" : NSColor.rosewoodColor(),
        "rossoCorsa" : NSColor.rossoCorsaColor(),
        "rosyBrown" : NSColor.rosyBrownColor(),
        "royalPurpleCrayola" : NSColor.royalPurpleCrayolaColor(),
        "royalAzure" : NSColor.royalAzureColor(),
        "royalBlue" : NSColor.royalBlueColor(),
        "royalBlueDarker" : NSColor.royalBlueDarkerColor(),
        "royalFuchsia" : NSColor.royalFuchsiaColor(),
        "royalYellow" : NSColor.royalYellowColor(),
        "ruber" : NSColor.ruberColor(),
        "rubineRed" : NSColor.rubineRedColor(),
        "ruby" : NSColor.rubyColor(),
        "rubyRed" : NSColor.rubyRedColor(),
        "ruddy" : NSColor.ruddyColor(),
        "ruddyBrown" : NSColor.ruddyBrownColor(),
        "ruddyPink" : NSColor.ruddyPinkColor(),
        "rufous" : NSColor.rufousColor(),
        "russet" : NSColor.russetColor(),
        "russianGreen" : NSColor.russianGreenColor(),
        "russianViolet" : NSColor.russianVioletColor(),
        "rust" : NSColor.rustColor(),
        "rustyRed" : NSColor.rustyRedColor(),
        "sacramentoStateGreen" : NSColor.sacramentoStateGreenColor(),
        "saddleBrown" : NSColor.saddleBrownColor(),
        "safetyOrange" : NSColor.safetyOrangeColor(),
        "safetyOrangeBlazeOrange" : NSColor.safetyOrangeBlazeOrangeColor(),
        "safetyYellow" : NSColor.safetyYellowColor(),
        "saffron" : NSColor.saffronColor(),
        "sage" : NSColor.sageColor(),
        "salmon" : NSColor.salmonColor(),
        "salmonCrayola" : NSColor.salmonCrayolaColor(),
        "salmonPink" : NSColor.salmonPinkColor(),
        "sand" : NSColor.sandColor(),
        "sandDune" : NSColor.sandDuneColor(),
        "sandstorm" : NSColor.sandstormColor(),
        "sandyBrown" : NSColor.sandyBrownColor(),
        "sandyTaupe" : NSColor.sandyTaupeColor(),
        "sangria" : NSColor.sangriaColor(),
        "sapGreen" : NSColor.sapGreenColor(),
        "sapphire" : NSColor.sapphireColor(),
        "sapphireBlue" : NSColor.sapphireBlueColor(),
        "satinSheenGold" : NSColor.satinSheenGoldColor(),
        "scarlet" : NSColor.scarletColor(),
        "scarletCrayola" : NSColor.scarletCrayolaColor(),
        "scarletWebsafe" : NSColor.scarletWebsafeColor(),
        "schaussPink" : NSColor.schaussPinkColor(),
        "schoolBusYellow" : NSColor.schoolBusYellowColor(),
        "screaminGreenCrayola" : NSColor.screaminGreenCrayolaColor(),
        "seaGreenCrayola" : NSColor.seaGreenCrayolaColor(),
        "seaBlue" : NSColor.seaBlueColor(),
        "seaGreen" : NSColor.seaGreenColor(),
        "sealBrown" : NSColor.sealBrownColor(),
        "seashell" : NSColor.seashellColor(),
        "selectiveYellow" : NSColor.selectiveYellowColor(),
        "sepia" : NSColor.sepiaColor(),
        "sepiaCrayola" : NSColor.sepiaCrayolaColor(),
        "shadowCrayola" : NSColor.shadowCrayolaColor(),
        "shadowBlue" : NSColor.shadowBlueColor(),
        "shampoo" : NSColor.shampooColor(),
        "shamrockCrayola" : NSColor.shamrockCrayolaColor(),
        "shamrockGreen" : NSColor.shamrockGreenColor(),
        "sheenGreen" : NSColor.sheenGreenColor(),
        "shimmeringBlush" : NSColor.shimmeringBlushColor(),
        "shockingPinkCrayola" : NSColor.shockingPinkCrayolaColor(),
        "shockingPink" : NSColor.shockingPinkColor(),
        "sienna" : NSColor.siennaColor(),
        "siennaX11" : NSColor.siennaX11Color(),
        "silver" : NSColor.silverColor(),
        "silverCrayola" : NSColor.silverCrayolaColor(),
        "silverLakeBlue" : NSColor.silverLakeBlueColor(),
        "silverChalice" : NSColor.silverChaliceColor(),
        "silverPink" : NSColor.silverPinkColor(),
        "silverSand" : NSColor.silverSandColor(),
        "sinopia" : NSColor.sinopiaColor(),
        "skobeloff" : NSColor.skobeloffColor(),
        "skyBlueCrayola" : NSColor.skyBlueCrayolaColor(),
        "skyBlue" : NSColor.skyBlueColor(),
        "skyMagenta" : NSColor.skyMagentaColor(),
        "slateBlue" : NSColor.slateBlueColor(),
        "slateGray" : NSColor.slateGrayColor(),
        "smaltDarkPowderBlue" : NSColor.smaltDarkPowderBlueColor(),
        "smitten" : NSColor.smittenColor(),
        "smoke" : NSColor.smokeColor(),
        "smokyTopaz" : NSColor.smokyTopazColor(),
        "smokyBlack" : NSColor.smokyBlackColor(),
        "snow" : NSColor.snowColor(),
        "soap" : NSColor.soapColor(),
        "solidPink" : NSColor.solidPinkColor(),
        "sonicSilver" : NSColor.sonicSilverColor(),
        "spaceCadet" : NSColor.spaceCadetColor(),
        "spanishBistre" : NSColor.spanishBistreColor(),
        "spanishBlue" : NSColor.spanishBlueColor(),
        "spanishCarmine" : NSColor.spanishCarmineColor(),
        "spanishCrimson" : NSColor.spanishCrimsonColor(),
        "spanishGray" : NSColor.spanishGrayColor(),
        "spanishGreen" : NSColor.spanishGreenColor(),
        "spanishOrange" : NSColor.spanishOrangeColor(),
        "spanishPink" : NSColor.spanishPinkColor(),
        "spanishRed" : NSColor.spanishRedColor(),
        "spanishSkyBlue" : NSColor.spanishSkyBlueColor(),
        "spanishViolet" : NSColor.spanishVioletColor(),
        "spanishViridian" : NSColor.spanishViridianColor(),
        "spartanCrimson" : NSColor.spartanCrimsonColor(),
        "spicyMix" : NSColor.spicyMixColor(),
        "spiroDiscoBall" : NSColor.spiroDiscoBallColor(),
        "springGreenCrayola" : NSColor.springGreenCrayolaColor(),
        "springBud" : NSColor.springBudColor(),
        "springGreen" : NSColor.springGreenColor(),
        "stPatricksBlue" : NSColor.stPatricksBlueColor(),
        "starCommandBlue" : NSColor.starCommandBlueColor(),
        "steelBlue" : NSColor.steelBlueColor(),
        "steelPink" : NSColor.steelPinkColor(),
        "stilDeGrainYellow" : NSColor.stilDeGrainYellowColor(),
        "stizza" : NSColor.stizzaColor(),
        "stormcloud" : NSColor.stormcloudColor(),
        "straw" : NSColor.strawColor(),
        "strawberry" : NSColor.strawberryColor(),
        "sunglow" : NSColor.sunglowColor(),
        "sunglowCrayola" : NSColor.sunglowCrayolaColor(),
        "sunray" : NSColor.sunrayColor(),
        "sunset" : NSColor.sunsetColor(),
        "sunsetOrangeCrayola" : NSColor.sunsetOrangeCrayolaColor(),
        "superPink" : NSColor.superPinkColor(),
        "tan" : NSColor.tanColor(),
        "tanCrayola" : NSColor.tanCrayolaColor(),
        "tangelo" : NSColor.tangeloColor(),
        "tangerine" : NSColor.tangerineColor(),
        "tangerineYellow" : NSColor.tangerineYellowColor(),
        "tangoPink" : NSColor.tangoPinkColor(),
        "taupe" : NSColor.taupeColor(),
        "taupeGray" : NSColor.taupeGrayColor(),
        "teaGreen" : NSColor.teaGreenColor(),
        "teaRose" : NSColor.teaRoseColor(),
        "teaRoseAlternate" : NSColor.teaRoseAlternateColor(),
        "teal" : NSColor.tealColor(),
        "teal100" : NSColor.teal100Color(),
        "teal200" : NSColor.teal200Color(),
        "teal300" : NSColor.teal300Color(),
        "teal400" : NSColor.teal400Color(),
        "teal50" : NSColor.teal50Color(),
        "teal500" : NSColor.teal500Color(),
        "teal600" : NSColor.teal600Color(),
        "teal700" : NSColor.teal700Color(),
        "teal800" : NSColor.teal800Color(),
        "teal900" : NSColor.teal900Color(),
        "tealA100" : NSColor.tealA100Color(),
        "tealA200" : NSColor.tealA200Color(),
        "tealA400" : NSColor.tealA400Color(),
        "tealA700" : NSColor.tealA700Color(),
        "tealBlueCrayola" : NSColor.tealBlueCrayolaColor(),
        "tealBlue" : NSColor.tealBlueColor(),
        "tealDeer" : NSColor.tealDeerColor(),
        "tealGreen" : NSColor.tealGreenColor(),
        "telemagenta" : NSColor.telemagentaColor(),
        "tenné" : NSColor.tennéColor(),
        "terraCotta" : NSColor.terraCottaColor(),
        "thistle" : NSColor.thistleColor(),
        "thistleCrayola" : NSColor.thistleCrayolaColor(),
        "thulianPink" : NSColor.thulianPinkColor(),
        "tickleMePinkCrayola" : NSColor.tickleMePinkCrayolaColor(),
        "tiffanyBlue" : NSColor.tiffanyBlueColor(),
        "tiffanyBlueAlternate" : NSColor.tiffanyBlueAlternateColor(),
        "tigersEye" : NSColor.tigersEyeColor(),
        "timberwolfCrayola" : NSColor.timberwolfCrayolaColor(),
        "titaniumYellow" : NSColor.titaniumYellowColor(),
        "tomato" : NSColor.tomatoColor(),
        "toolbox" : NSColor.toolboxColor(),
        "topaz" : NSColor.topazColor(),
        "tractorRed" : NSColor.tractorRedColor(),
        "trolleyGrey" : NSColor.trolleyGreyColor(),
        "tropicalRainForestCrayola" : NSColor.tropicalRainForestCrayolaColor(),
        "tropicalRainForest" : NSColor.tropicalRainForestColor(),
        "trueBlue" : NSColor.trueBlueColor(),
        "tuftsBlue" : NSColor.tuftsBlueColor(),
        "tulip" : NSColor.tulipColor(),
        "tumbleweedCrayola" : NSColor.tumbleweedCrayolaColor(),
        "turkishRose" : NSColor.turkishRoseColor(),
        "turquoise" : NSColor.turquoiseColor(),
        "turquoiseBlueCrayola" : NSColor.turquoiseBlueCrayolaColor(),
        "turquoiseBlue" : NSColor.turquoiseBlueColor(),
        "turquoiseGreen" : NSColor.turquoiseGreenColor(),
        "tuscan" : NSColor.tuscanColor(),
        "tuscanBrown" : NSColor.tuscanBrownColor(),
        "tuscanRed" : NSColor.tuscanRedColor(),
        "tuscanTan" : NSColor.tuscanTanColor(),
        "tuscany" : NSColor.tuscanyColor(),
        "twilightLavender" : NSColor.twilightLavenderColor(),
        "tyrianPurple" : NSColor.tyrianPurpleColor(),
        "uABlue" : NSColor.uABlueColor(),
        "uARed" : NSColor.uARedColor(),
        "uCLABlue" : NSColor.uCLABlueColor(),
        "uCLAGold" : NSColor.uCLAGoldColor(),
        "uFOGreen" : NSColor.uFOGreenColor(),
        "uPForestGreen" : NSColor.uPForestGreenColor(),
        "uPMaroon" : NSColor.uPMaroonColor(),
        "uSAFABlue" : NSColor.uSAFABlueColor(),
        "uSCCardinal" : NSColor.uSCCardinalColor(),
        "uSCGold" : NSColor.uSCGoldColor(),
        "ube" : NSColor.ubeColor(),
        "ultraPink" : NSColor.ultraPinkColor(),
        "ultraRed" : NSColor.ultraRedColor(),
        "ultramarine" : NSColor.ultramarineColor(),
        "ultramarineBlue" : NSColor.ultramarineBlueColor(),
        "umber" : NSColor.umberColor(),
        "unbleachedSilk" : NSColor.unbleachedSilkColor(),
        "unitedNationsBlue" : NSColor.unitedNationsBlueColor(),
        "universityOfCaliforniaGold" : NSColor.universityOfCaliforniaGoldColor(),
        "universityOfTennesseeOrange" : NSColor.universityOfTennesseeOrangeColor(),
        "unmellowYellowCrayola" : NSColor.unmellowYellowCrayolaColor(),
        "upsdellRed" : NSColor.upsdellRedColor(),
        "urobilin" : NSColor.urobilinColor(),
        "utahCrimson" : NSColor.utahCrimsonColor(),
        "vanilla" : NSColor.vanillaColor(),
        "vanillaIce" : NSColor.vanillaIceColor(),
        "vegasGold" : NSColor.vegasGoldColor(),
        "venetianRed" : NSColor.venetianRedColor(),
        "verdigris" : NSColor.verdigrisColor(),
        "vermilion" : NSColor.vermilionColor(),
        "vermilionAlternate" : NSColor.vermilionAlternateColor(),
        "veronica" : NSColor.veronicaColor(),
        "veryLightAzure" : NSColor.veryLightAzureColor(),
        "veryLightBlue" : NSColor.veryLightBlueColor(),
        "veryLightMalachiteGreen" : NSColor.veryLightMalachiteGreenColor(),
        "veryLightTangelo" : NSColor.veryLightTangeloColor(),
        "veryPaleOrange" : NSColor.veryPaleOrangeColor(),
        "veryPaleYellow" : NSColor.veryPaleYellowColor(),
        "violet" : NSColor.violetColor(),
        "violetColorWheel" : NSColor.violetColorWheelColor(),
        "violetPurpleCrayola" : NSColor.violetPurpleCrayolaColor(),
        "violetRYB" : NSColor.violetRYBColor(),
        "violetWeb" : NSColor.violetWebColor(),
        "violetBlueCrayola" : NSColor.violetBlueCrayolaColor(),
        "violetRedCrayola" : NSColor.violetRedCrayolaColor(),
        "viridian" : NSColor.viridianColor(),
        "viridianGreen" : NSColor.viridianGreenColor(),
        "vistaBlue" : NSColor.vistaBlueColor(),
        "vividTangerineCrayola" : NSColor.vividTangerineCrayolaColor(),
        "vividVioletCrayola" : NSColor.vividVioletCrayolaColor(),
        "vividAmber" : NSColor.vividAmberColor(),
        "vividAuburn" : NSColor.vividAuburnColor(),
        "vividBurgundy" : NSColor.vividBurgundyColor(),
        "vividCerise" : NSColor.vividCeriseColor(),
        "vividCerulean" : NSColor.vividCeruleanColor(),
        "vividCrimson" : NSColor.vividCrimsonColor(),
        "vividGamboge" : NSColor.vividGambogeColor(),
        "vividLimeGreen" : NSColor.vividLimeGreenColor(),
        "vividMalachite" : NSColor.vividMalachiteColor(),
        "vividMulberry" : NSColor.vividMulberryColor(),
        "vividOrange" : NSColor.vividOrangeColor(),
        "vividOrangePeel" : NSColor.vividOrangePeelColor(),
        "vividOrchid" : NSColor.vividOrchidColor(),
        "vividRaspberry" : NSColor.vividRaspberryColor(),
        "vividRed" : NSColor.vividRedColor(),
        "vividRedTangelo" : NSColor.vividRedTangeloColor(),
        "vividSkyBlue" : NSColor.vividSkyBlueColor(),
        "vividTangelo" : NSColor.vividTangeloColor(),
        "vividVermilion" : NSColor.vividVermilionColor(),
        "vividViolet" : NSColor.vividVioletColor(),
        "vividYellow" : NSColor.vividYellowColor(),
        "volt" : NSColor.voltColor(),
        "warmBlack" : NSColor.warmBlackColor(),
        "waterspout" : NSColor.waterspoutColor(),
        "webGray" : NSColor.webGrayColor(),
        "webGreen" : NSColor.webGreenColor(),
        "webMaroon" : NSColor.webMaroonColor(),
        "webPurple" : NSColor.webPurpleColor(),
        "wenge" : NSColor.wengeColor(),
        "wheat" : NSColor.wheatColor(),
        "whiteSmoke" : NSColor.whiteSmokeColor(),
        "wildBlueYonderCrayola" : NSColor.wildBlueYonderCrayolaColor(),
        "wildStrawberryCrayola" : NSColor.wildStrawberryCrayolaColor(),
        "wildWatermelonCrayola" : NSColor.wildWatermelonCrayolaColor(),
        "wildOrchid" : NSColor.wildOrchidColor(),
        "willpowerOrange" : NSColor.willpowerOrangeColor(),
        "windsorTan" : NSColor.windsorTanColor(),
        "wine" : NSColor.wineColor(),
        "wineDregs" : NSColor.wineDregsColor(),
        "wisteria" : NSColor.wisteriaColor(),
        "wisteriaCrayola" : NSColor.wisteriaCrayolaColor(),
        "woodBrown" : NSColor.woodBrownColor(),
        "xanadu" : NSColor.xanaduColor(),
        "yaleBlue" : NSColor.yaleBlueColor(),
        "yankeesBlue" : NSColor.yankeesBlueColor(),
        "yellowCrayola" : NSColor.yellowCrayolaColor(),
        "yellowMunsell" : NSColor.yellowMunsellColor(),
        "yellowNCS" : NSColor.yellowNCSColor(),
        "yellowPantone" : NSColor.yellowPantoneColor(),
        "yellowProcess" : NSColor.yellowProcessColor(),
        "yellowRYB" : NSColor.yellowRYBColor(),
        "yellow100" : NSColor.yellow100Color(),
        "yellow200" : NSColor.yellow200Color(),
        "yellow300" : NSColor.yellow300Color(),
        "yellow400" : NSColor.yellow400Color(),
        "yellow50" : NSColor.yellow50Color(),
        "yellow500" : NSColor.yellow500Color(),
        "yellow600" : NSColor.yellow600Color(),
        "yellow700" : NSColor.yellow700Color(),
        "yellow800" : NSColor.yellow800Color(),
        "yellow900" : NSColor.yellow900Color(),
        "yellowA100" : NSColor.yellowA100Color(),
        "yellowA200" : NSColor.yellowA200Color(),
        "yellowA400" : NSColor.yellowA400Color(),
        "yellowA700" : NSColor.yellowA700Color(),
        "yellowGreenCrayola" : NSColor.yellowGreenCrayolaColor(),
        "yellowOrangeCrayola" : NSColor.yellowOrangeCrayolaColor(),
        "yellowGreen" : NSColor.yellowGreenColor(),
        "yellowRose" : NSColor.yellowRoseColor(),
        "zaffre" : NSColor.zaffreColor(),
        "zinnwalditeBrown" : NSColor.zinnwalditeBrownColor(),
        "zomp" : NSColor.zompColor()
    ]

    
    override init () {
        super.init()
        
        var error : NSError?

        
        // Swift color with predefined name and alpha value specified
        
        var regex = NSRegularExpression ( pattern: "(NS|UI)Color\\.([a-z0-9][A-Za-z0-9]+)Color\\(\\s*alpha:\\s*([01]\\.?[0-9]*)\\s*\\)", options: .allZeros, error: &error )
        
        if regex == nil {
            println ( "Error creating Swift predefined color with alpha regex = \(error?.localizedDescription)" )
        } else {
            regexes.append( regex! )
        }

        
        // Swift color with predefined name and no alpha
        
        regex = NSRegularExpression ( pattern: "(NS|UI)Color\\.([a-z0-9][A-Za-z0-9]+)Color\\s*\\(\\s*\\)", options: .allZeros, error: &error )
            
        if regex == nil {
            println ( "Error creating Swift predefined color without alpha regex = \(error?.localizedDescription)" )
        } else {
            regexes.append( regex! )
        }
        
        
        // Objective-C color with predefined name with alpha
        
        regex = NSRegularExpression ( pattern: "\\[\\s*(NS|UI)Color\\s*([a-z0-9][A-Za-z0-9]+)ColorWithAlpha:\\s*([01]\\.[0-9]+)\\s*\\]", options: .allZeros, error: &error )
        
        if regex == nil {
            println ( "Error creating Objective-C predefined color regex = \(error?.localizedDescription)" )
        } else {
            regexes.append( regex! )
        }

        
        // Objective-C color with predefined name and no alpha
        
        regex = NSRegularExpression ( pattern: "\\[\\s*(NS|UI)Color\\s*([a-z0-9][A-Za-z0-9]+)Color\\s*\\]", options: .allZeros, error: &error )
        
        if regex == nil {
            println ( "Error creating Objective-C predefined color with no alpha regex = \(error?.localizedDescription)" )
        } else {
            regexes.append( regex! )
        }
    }

    
    override func processMatch(match: NSTextCheckingResult, line: String) -> SearchResult? {
        
        if ( ( match.numberOfRanges == 3 ) || ( match.numberOfRanges == 4 ) ) {
            var alphaValue : CGFloat = 1.0
            let matchString = stringFromRange( match.range, line: line )
            let colorTypeString = stringFromRange( match.rangeAtIndex( 1 ), line: line )
            let colorName = stringFromRange( match.rangeAtIndex( 2 ), line: line )
            var capturedStrings = [ matchString, colorTypeString, colorName ]
            
            if ( match.numberOfRanges == 4 ) {
                let alphaString = stringFromRange( match.rangeAtIndex( 3 ), line: line )
                alphaValue = CGFloat ( (alphaString as NSString).doubleValue )
                capturedStrings.append( alphaString )
            }
            
            
            if var color = colorDictionary[ colorName ] {
                
                if ( alphaValue != 1.0 ) {
                    color = color.colorWithAlphaComponent( alphaValue )
                }
                
                var searchResult = SearchResult ( color: color, textCheckingResult: match, capturedStrings: capturedStrings )
                searchResult.creationType = .PredefinedColor
                searchResult.colorType = colorTypeFromString( colorTypeString )
                searchResult.language = programmingLanguageFromString( matchString )
                
                return searchResult
            }
        }
        
        return nil
    }
}
